/* --------------------------- FONTS -------------------------------- */

@font-face {
    font-family: "Inter";
    src: url("assets/fonts/inter-regular-webfont.woff2");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Inter";
    src: url("assets/fonts/inter-semibold-webfont.woff2");
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "Open Sans";
    src: url("assets/fonts/opensans-regular-webfont.woff2");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}


/* ------------------ GENERAL STYLING / TYPOGRAPHY ------------------ */

* {
  box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html, body {
    background-color: black;
}

body{
    font-family: "Open Sans", sans-serif;
    font-weight: 400;
    font-size: 1rem;
    padding-bottom: env(safe-area-inset-bottom);
    padding-left: env(safe-area-inset-left);
    padding-right: env(safe-area-inset-right);
}

h1, h2, h3, h4 {
    font-family: "Inter", sans-serif;
    font-weight: 700;
}

h1 {
    font-size: 2.3rem;
}

h2 {
    font-size: 1.8rem;
}

h3 {
    font-size: 1.4rem;
}

h4 {
    font-size: 1.2rem;
}

.hero-section,
.who-is-this-for-section,
.roadmap-section,
.faq-section,
.footer-nav {
    overflow-x: hidden;
}


/* ---------------------------TOP NAVIGATION ------------------------ */

.top-nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 1rem;
    background-color: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(10px);
    z-index: 4;
}

.top-nav-logo {
    height: 80px;
    width: auto;
}

.nav-btn {
    font-family: "Inter", sans-serif;
    font-weight: 600;
    padding: 0.8rem 1.2rem;
    border: 1px solid white;
    border-radius: 2em;
    color: black;
    background-color: white;
    text-decoration: none;
    font-size: small;
}

/* For accessibility purposes */

.nav-btn:focus-visible {
    outline: 2px solid white;
    outline-offset: 4px;
}


/* --------------------------- HERO SECTION ------------------------- */

.hero-section {
    display: flex;
    position: relative;
    width: 100%;
    min-height: 100svh;
    overflow: hidden;
    padding: 1rem;
    align-items: center;
    justify-content: center;
}

.hero-section p {
    max-width: 100%;
    padding: 0 1rem;
    margin: 0 auto;
}

/* Background video of hero section */
.bg-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
}

/* Overlay on top of video for better text readability */

.hero-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.5);
    z-index: 2;
}

/* Hero section text content */

.hero-content {
    display: flex;
    flex-direction: column;
    position: relative;
    color: white;
    text-align: center;
    gap: 2rem;
    z-index: 3;
}

/* Hero button */

.hero-content a {
    font-family: "Inter", sans-serif;
    font-weight: 600;
    border: 1px solid #FF2A00;
    border-radius: 2em;
    max-width: fit-content;
    text-align: center;
    margin: 2rem auto;
    background-color: #FF2A00;
    padding: 1em;
    color: black;
    text-decoration: none;
    box-shadow: inset 0.1em 0.1em 0.3em white,
    inset -0.1em -0.1em 0.5em black;
}

.hero-content a:hover {
    background-color: #eb250b;
}

/* For accessibility purposes */

.hero-content a:focus-visible {
    outline: 2px solid white;
    outline-offset: 4px;
}

/* ---------------WHO IS THIS FOR SECTION ----------------------- */

/* Wrapper for entire section */

.who-is-this-for-section {
    display: flex;
    flex-direction: column;
    background-color: black;
    color: white;
    padding: 2rem;
    padding-bottom: 4rem;
    gap: 2rem;
    align-items: center;
    justify-content: center;
}

/* Header wrapper */

.who-is-this-for-header {
    display: flex;
    flex-direction: column;
    text-align: center;
    gap: 1rem;
    padding: 2rem 0 2rem 0;
}

/* Content wrapper */

.who-is-this-for-content {
    display: flex;
    flex-direction: column;
    gap: 4rem;
    text-align: center;
}

.who-is-this-for-content h3 {
    padding-bottom: 1rem;
}

/* Adding horizontal lines for middle element to look like separators */

.strength-col {
    border-top: 1px solid #FF2A00;
    border-bottom: 1px solid #FF2A00;
    padding: 2rem 0 2rem 0 ;
}


/* --------------------- FEATURES SECTION ----------------------- */

/* Section wrapper */

.features-section {
    display: flex;
    flex-direction: column;
    background-color: white;
    padding: 1rem 1rem 4rem 1rem;
    gap: 2rem;
    align-items: center;
    justify-content: center;
}

/* Section header wrapper */

.features-header {
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    text-align: center;
    gap: 2rem;
    padding-top: 4rem;
    padding-bottom: 2rem;
}

/* 
  TODO (JS enhancement):
  On desktop, add drag-to-scroll (grab & drag) interaction 
  for horizontal card scrolling to improve usability.
*/

/* Outside wrapper for cards/cards container*/

.features-cards-wrapper {
    overflow-x: scroll;
    max-width: 100%;
}

/* Inner wrapper for cards, for better dimensions control */

.features-cards-inner-row {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    justify-content: flex-start;
    text-align: center;
    scrollbar-width: none;
}

.features-cards-wrapper::-webkit-scrollbar {
    display: none;
}

/* Card wrapper */

.features-card {
    position: relative;
    display: flex;
    flex-direction: column;
    min-height: 23rem;
    min-width: 15.3rem;
    justify-content: center;
    align-items:center ;
}

.features-card img {
    position: absolute;
    inset: 0;
    max-height: 23em;
    width: auto;
    object-fit: cover;
    z-index: 1;
    border: 1px solid gray;
    border-radius: 2rem;
}

/* Slight tint for better readability */

.features-overlay {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 2;
    border-radius: 2rem;
}

.card-content {
    position: absolute;
    color: white;
    padding: 12rem 1rem 0 1rem;
    z-index: 3;
    text-align: center;
    justify-content: center;
}

.card-content h3 {
    padding-bottom: 1rem;
}

/* --------------------- ROADMAP SECTION ----------------------- */

.roadmap-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: black;
    color: white;
    padding: 4rem 0 1rem 0;
    text-align: center;
}

.roadmap-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-bottom: 4rem;
    max-width: 80%;
    gap: 1rem;
}

/* Roadmap decoration line with a bubble */

.roadmap-separator-top {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-bottom: 1.5rem;
}

.roadmap-separator-bottom {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 2rem;
}

.separator-dot-top, 
.separator-dot-bottom {
    background-color: #FF2A00;
    height: 0.4rem;
    width: 0.4rem;
    border-radius: 1rem;
}

.separator-line-top,
.separator-line-bottom {
    background-color:#FF2A00;
    height: 4rem;
    width: 0.1rem;
}

.roadmap-separator-bottom {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.roadmap-content-wrapper {
    max-width: 80%;
}

.roadmap-weekly-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    padding-bottom: 2rem;
}

.roadmap-weekly-block p {
    color: #FF2A00;
}

.roadmap-btn {
    font-family: "Inter", sans-serif;
    font-weight: 600;
    border: 1px solid #FF2A00;
    border-radius: 2em;
    max-width: fit-content;
    text-align: center;
    margin: 2rem auto;
    background-color: #FF2A00;
    padding: 1em;
    color: black;
    text-decoration: none;
    box-shadow: inset 0.1em 0.1em 0.3em white,
    inset -0.1em -0.1em 0.5em black;
}

.roadmap-btn:hover {
    background-color: #eb250b;
}

.roadmap-btn:focus-visible {
    outline: 2px solid white;
    outline-offset: 4px;
}               

/* ------------------- TESTIMONIALS SECTION --------------------- */

.testimonials-section{
    position: relative;
    display: flex;
    flex-direction: column;
    padding: 1rem;
    gap: 2rem;
    align-items: center;
    justify-content: center;
    background-color: black;
    color: white;
}

.testimonials-wrapper {
    width: 100%;
}

.testimonials-wrapper::-webkit-scrollbar {
    display: none;
}

.testimonial-overlay-left,
.testimonial-overlay-right {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    width: 3rem;
    z-index: 3;
}

.testimonial-overlay-left {
    left: 0;
    background: linear-gradient(to right, black, transparent);
}

.testimonial-overlay-right {
    right: 0;
    background: linear-gradient(to left, black, transparent);
}

.testimonials-inner-row {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    justify-content: flex-start;
    text-align: center;
    scrollbar-width: none;
}

.testimonials-card {
    background-color: rgb(12, 12, 12);
    border: 1px solid rgb(48, 48, 48);
    border-radius: 1rem;
    position: relative;
    display: flex;
    flex-direction: column;
    min-height: 14rem;
    max-width: 15rem;
    justify-content: center;
    align-items: center ;
    padding: 1rem;
    text-align: center;
}

.special-p {
    position: absolute;
    bottom: 1rem;
    right: 1rem;
    color: gray;
    text-align: right;
    padding-top: 0;
}

.features-cards-wrapper,
.testimonials-wrapper {
    overflow-x: auto;
    overflow-y: hidden;
    cursor: grab;
    position: relative;
    width: 100%;
}

.features-cards-wrapper.dragging,
.testimonials-wrapper.dragging {
    cursor: grabbing;
    user-select: none;
}

.features-cards-inner-row,
.testimonials-inner-row {
    display: flex;
    width: max-content;
}

.features-overlay,
.testimonial-overlay-left,
.testimonial-overlay-right {
    pointer-events: none;
}




/* ------------------------ FAQ SECTION ------------------------- */

.faq-section {
    padding: 4rem 1rem 4rem 1rem;
    align-items: center;
    justify-content: center;
    text-align: left;
    background-color: white;
}

.faq-header {
    padding-bottom: 3rem;
}

.faq-content {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.faq-content h3 {
    padding-bottom: 0.5rem;
}

.faq-content p {
    padding-bottom: 1rem;
}

.faq {
    border-bottom: 1px solid rgb(233, 233, 233);
}


/* --------------------------- FOOTER --------------------------- */

.footer-nav {
    display: flex;
    flex-direction: column;
    background-color: black;
    color: white;
    justify-content: center;
    align-items: center;
}

.footer-logo-flex {
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: center;
    align-items: center;
    padding: 2rem 0;
}

.footer-decor-line {
    height: 1px;
    width: 80%;
    background-color: #FF2A00;
}

.footer-logo {
    height: 6rem;
    width: auto;
}

.footer-links {
    display: flex;
    flex-direction: row;
    color: gray;
    gap: 1rem;
    padding: 2rem 0;
}

.footer-links-separator {
    height: 8px;
    width: 8px;
    background-color: #FF2A00;
    justify-content: center;
    align-items: center;
    margin: 0.5rem 0 0 0;
    border: 1px solid #FF2A00;
    border-radius: 2rem;
}

.footer-links a {
    text-decoration: none;
    color: white;
}

.footer-links a:hover {
    color: rgb(255, 119, 40);
}

.footer-links a:focus-visible {
    outline: 2px solid white;
    outline-offset: 4px;
}

/* ------------------------------------------------------------------------------ CONTACT PAGE / FROM ------------------------------------------------------------------------------*/

.hero-banner {
    display: flex;
    position: relative;
    min-height: 90svh;
    max-width: 100%;
    justify-content: center;
    align-items: end;
    text-align: center;
    margin: 0 auto;
    padding-top: 4.8rem;
    overflow: hidden;
    z-index: 1;
}

.hero-media {
    position: absolute;
    inset: 4.8rem 0 0 0;
    z-index: 1;
}

.hero-media img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.banner-overlay {
    position: absolute;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 2;
}

.banner-content {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    position: relative;
    justify-content: center;
    align-items: center;
    color: white;
    max-width: 80%;
    padding-bottom: 4rem;
    text-shadow: 1px 1px 4px black;
    z-index: 3;
}

.form-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    max-width: 80%;
    padding: 4rem 0;
}


.form-header {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    text-align: center;
    color: white;
    padding-bottom: 4rem;
}

#form {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    min-width: 80%;
    border: 1px solid gray;
    border-radius: 10px;
    background-color: white;
    padding: 2rem;
    box-shadow: 0 0 10px white;
}

.form-field {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.form-field:last-child {
    padding-top: 2rem;
}


#form input,
#form select {
    height: 2rem;
    padding: 0 0.5rem;
}

.form-field label{
    font-weight: bold;
}

.form-field textarea {
    min-height: 5rem;
    padding: 0.5rem 0.5rem;
    resize: vertical;
    max-height: 20rem;
}

#form-btn {
    padding: 1rem 2rem;
    color: white;
    border: 1px solid black;
    border-radius: 2rem;
    background-color: black;
    font-weight: bold;
    font-size: 1.1rem;
    transition: color 0.3s ease, box-shadow 0.5s ease;
}

#form-btn:hover {
    color: black;
    background-color: #FF2A00;
    box-shadow: 0 0 20px black;
    border: 1px solid #FF2A00;
}


/* --------------------------------------------------------------- LEGAL ------------------------------------------------------------------------------------------- */

.legal {
    display: flex;
    flex-direction: column;
    color: white;
    text-align: left;
    max-width: 80%;
    margin: 0 auto;
    gap: 2rem;
    padding: 4rem 0;
}

.legal p,
.legal ul,
.legal li {
    max-width: 100%;
}

.legal h1 {
    padding: 6rem 0 1rem 0;
    text-align: center;
    max-width: 100%;
}

.legal h2 {
    text-align: left;
}

.legal ul {
    padding-left: 1.2rem;
    list-style-position: inside;
    margin: 0;
    font-size: 1.5rem;
}



/* ---------------------------------------------------------- STYLES FOR LARGER SCREENS (TABLET / DESKTOP) -------------------------------------------------------------------*/

/* ----------------- LANDSCAPE PHONE -----------------------------*/

@media (max-height: 420px) {
    body{
        font-size: 1.1rem;
    }

    h1 {
        font-size: 2.5rem;
    }

    h2 {
        font-size: 2rem;
    }

    h3 {
        font-size: 1.5rem;
    }

    .top-nav {
        padding: 0 1rem;
    }

    .who-is-this-for-content {
        padding-bottom: 2rem;
    }

    .hero-section {
        height: 150svh;
        padding-top: 10rem;
    }

    .features-section {
        padding-bottom: 4rem;
    }

    .features-card {
        min-height: 20rem;
        min-width: 13.3rem;
    }

    .features-card img {
        max-height: 20rem;
    }

    .features-cards-inner-row {
        gap: 2rem;
    }

    .card-content {
        padding-bottom: 1rem;
    }

    .footer-nav {
        align-items: center;
        padding: 1rem;
    }

    .footer-links p {
        padding: 0;
    }

    .hero-banner {
        min-height: 100svh;
        margin-top: 4rem;
    }

}

/* ------------------------- TABLET ------------------------------*/

@media (min-width: 768px) {
    body, a {
        font-size: 1.5rem;
    }

    p {
        max-width: 600px;
    }

    h1 {
        font-size: 4rem;
        max-width: 600px;
    }

    h2 {
        font-size: 3rem;
        max-width: 600px;
    }

    h3 {
        font-size: 2rem;
    }

    .top-nav {
        padding: 0 2rem;
    }

    .top-nav-logo {
        height: 90px;
        width: auto;
    }

    .nav-btn {
        padding: 1rem 2rem;
        font-size: 1rem;
    }

    .nav-btn:hover {
        padding: 0.9rem 1.9rem;
        box-shadow: 0 0 20px white;
    }

    .hero-section {
        padding-top: 8rem;
    }

    .hero-content {
        align-items: center;
        text-align: center;
    }

    .who-is-this-for-content {
        gap: 5rem;
    }

    .who-is-this-for-header {
        padding: 4rem 0 4rem 0;
    }

    .strength-col {
        padding: 4rem 0 4rem 0 ;
    }

    .features-card {
        min-height: 26rem;
        min-width: 17.3rem;
    }

    .features-card img {
        max-height: 26rem;
    }

    .features-cards-inner-row {
        gap: 2rem;
    }

    .card-content {
        padding-top: 14rem;
    }

    .testimonials-card {
        min-width: 26rem;
        height: 18rem;
    }

}

/* ------------------------- DESKTOP ------------------------------*/

@media(min-width: 1024px){
   
    body{
        font-size: 1.2rem;
    }

    h1 {
        font-size: 5rem;
        max-width: 1000px;
    }

    h2 {
        font-size: 3rem;
    }

    h3 {
        font-size: 2rem;
    }

    p {
        font-size: 1.5rem;
    }

    .top-nav {
        padding: 0 4rem;
    }

    .top-nav-logo {
        height: 100px;
    }

    .hero-section p {
        max-width: 800px;
    }

    .hero-section {
        padding-top: 6rem;
    }

    .who-is-this-for-section {
        padding: 2rem 4rem 6rem 4rem;
    }

    .who-is-this-for-header {
        max-width: 1000px;
    }

    .who-is-this-for-content {
        flex-direction: row;
        justify-content: center;
    }

    /* Vertical lines on middle element for visual desktop separation of columns */

    .strength-col {
        border-left: 1px solid #FF2A00;
        border-right: 1px solid #FF2A00;
        border-bottom: none;
        border-top: none;
        padding: 0 2em 0 2em;
    }

    .features-section {
        padding-bottom: 6rem;
    }

    .features-card {
        min-height: 36rem;
        min-width: 24rem;
    }

    .features-card img {
        max-height: 36rem;
    }

    .features-cards-inner-row {
        gap: 2rem;
    }

    .card-content {
        padding-top: 25rem;
    }

    .roadmap-header {
        max-width: 30%;
        padding-top: 2rem;
    }

    .roadmap-content-wrapper {
        max-width: 30%;
    }

    .testimonial-overlay-left,
    .testimonial-overlay-right {
        width: 7rem;
    }

    .testimonials-section {
        padding-bottom: 4rem;
    }

    .testimonials-card {
        height: 16rem;
    }

    .faq-section {
        padding: 4rem 2rem 4rem 2rem;
    }

    .faq-wrapper {
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        justify-content: space-around;
    }

    .faq-content {
        max-width: 40%;
    }

    .footer-nav {
        display: grid;
        grid-template-columns: repeat(2, 2fr);
        justify-content: space-between;
        align-items: flex-start;
    }

    .footer-links-separator,
    .footer-decor-line {
        display: none;
    }

    .footer-links {
        display: flex;
        flex-direction: column;
        justify-content: right;
        align-items: flex-end;
        padding: 4rem 4rem 0 0;
    }

    .footer-logo-flex {
        display: flex;
        flex-direction: column;
        justify-content: left;
        align-items: flex-start;
        padding-left: 4rem;
    }

    #form {
        min-width: 40%;
    }

    .hero-media {
        min-height: 110svh;;
    }

    .hero-media img {
        object-fit:cover;
    }

    .contact-content-wrapper {
        display: flex;
        flex-direction: row;
        padding-top: 2.5rem;
    }

     .hero-banner {
        flex: 0 0 55%;
        margin: 0;
    }

    .hero-content {
        flex: 0 0 45%;
    }

}

@media(min-width: 1440px){

    .contact-content-wrapper {
        gap: 4rem;
    }

    .hero-banner {
        flex: 1;
        max-width: 50%;
        margin: 0;
    }

    .hero-content {
        flex: 1;
        max-width: 40%;
    }

    #form {
        min-width: 90%;
    }

    .legal {
        align-self: center;
    }

}